<?php
declare(strict_types=1);

namespace Catequil\Barcode\Service;

use Catequil\Barcode\Model\BarcodeInterface;

/**
 * Interface BarcodeServiceInterface
 *
 * @package Catequil\Barcode\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-barcode
 */
interface BarcodeServiceInterface
{
    public function find(string $barcode): ?BarcodeInterface;
    public function findSku(string $barcode): ?string;
}
